org.apache.ivy.core.cache

## Class DefaultResolutionCacheManager

- java.lang.Object
- - org.apache.ivy.core.cache.DefaultResolutionCacheManager

- All Implemented Interfaces:
    ResolutionCacheManager, IvySettingsAware

      public class DefaultResolutionCacheManager
      extends java.lang.Object
      implements ResolutionCacheManager, IvySettingsAware

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultResolutionCacheManager()`
    `DefaultResolutionCacheManager(java.io.File basedir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clean()` Cleans the whole cache.
    `java.io.File` | `getBasedir()`
    `java.io.File` | `getConfigurationResolveReportInCache(java.lang.String resolveId, java.lang.String conf)`
    `java.io.File[]` | `getConfigurationResolveReportsInCache(java.lang.String resolveId)`
    `protected ModuleDescriptorParser` | `getModuleDescriptorParser(java.io.File moduleDescriptorFile)` Choose write module descriptor parser for a given moduleDescriptor
    `java.lang.String` | `getName()`
    `java.io.File` | `getResolutionCacheRoot()`
    `java.io.File` | `getResolvedIvyFileInCache(ModuleRevisionId mrid)`
    `java.lang.String` | `getResolvedIvyPattern()`
    `java.io.File` | `getResolvedIvyPropertiesInCache(ModuleRevisionId mrid)`
    `java.lang.String` | `getResolvedIvyPropertiesPattern()`
    `ModuleDescriptor` | `getResolvedModuleDescriptor(ModuleRevisionId mrid)`
    `void` | `saveResolvedModuleDescriptor(ModuleDescriptor md)`
    `void` | `setBasedir(java.io.File basedir)`
    `void` | `setName(java.lang.String name)`
    `void` | `setResolvedIvyPattern(java.lang.String cacheResolvedIvyPattern)`
    `void` | `setResolvedIvyPropertiesPattern(java.lang.String cacheResolvedIvyPropertiesPattern)`
    `void` | `setSettings(IvySettings settings)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultResolutionCacheManager

          public DefaultResolutionCacheManager()

    - #### DefaultResolutionCacheManager

          public DefaultResolutionCacheManager(java.io.File basedir)

  - ### Method Detail

    - #### setSettings

          public void setSettings(IvySettings settings)

      Specified by:
        `setSettings` in interface `IvySettingsAware`

    - #### getResolutionCacheRoot

          public java.io.File getResolutionCacheRoot()

      Specified by:
        `getResolutionCacheRoot` in interface `ResolutionCacheManager`

    - #### getBasedir

          public java.io.File getBasedir()

    - #### setBasedir

          public void setBasedir(java.io.File basedir)

    - #### getResolvedIvyPattern

          public java.lang.String getResolvedIvyPattern()

    - #### setResolvedIvyPattern

          public void setResolvedIvyPattern(java.lang.String cacheResolvedIvyPattern)

    - #### getResolvedIvyPropertiesPattern

          public java.lang.String getResolvedIvyPropertiesPattern()

    - #### setResolvedIvyPropertiesPattern

          public void setResolvedIvyPropertiesPattern(java.lang.String cacheResolvedIvyPropertiesPattern)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getResolvedIvyFileInCache

          public java.io.File getResolvedIvyFileInCache(ModuleRevisionId mrid)

      Specified by:
        `getResolvedIvyFileInCache` in interface `ResolutionCacheManager`

    - #### getResolvedIvyPropertiesInCache

          public java.io.File getResolvedIvyPropertiesInCache(ModuleRevisionId mrid)

      Specified by:
        `getResolvedIvyPropertiesInCache` in interface `ResolutionCacheManager`

    - #### getConfigurationResolveReportInCache

          public java.io.File getConfigurationResolveReportInCache(java.lang.String resolveId,
                                                          java.lang.String conf)

      Specified by:
        `getConfigurationResolveReportInCache` in interface `ResolutionCacheManager`

    - #### getConfigurationResolveReportsInCache

          public java.io.File[] getConfigurationResolveReportsInCache(java.lang.String resolveId)

      Specified by:
        `getConfigurationResolveReportsInCache` in interface `ResolutionCacheManager`

    - #### getResolvedModuleDescriptor

          public ModuleDescriptor getResolvedModuleDescriptor(ModuleRevisionId mrid)
                                                       throws java.text.ParseException,
                                                              java.io.IOException

      Specified by:
        `getResolvedModuleDescriptor` in interface `ResolutionCacheManager`
      Throws:
        `java.text.ParseException`
        `java.io.IOException`

    - #### getModuleDescriptorParser

          protected ModuleDescriptorParser getModuleDescriptorParser(java.io.File moduleDescriptorFile)

      Choose write module descriptor parser for a given moduleDescriptor
      Parameters:
        `moduleDescriptorFile` - a given module descriptor
      Returns:

    - #### saveResolvedModuleDescriptor

          public void saveResolvedModuleDescriptor(ModuleDescriptor md)
                                            throws java.text.ParseException,
                                                   java.io.IOException

      Specified by:
        `saveResolvedModuleDescriptor` in interface `ResolutionCacheManager`
      Throws:
        `java.text.ParseException`
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clean

          public void clean()

      Description copied from interface: `ResolutionCacheManager`
      Cleans the whole cache.
      Specified by:
        `clean` in interface `ResolutionCacheManager`